<?php
require_once('../../conexion/conectar.php');

$conexion = new CONDB();
$conexion->conectar();

$sql = "select username, pass from usuariosweb_back";
if(!$rUser = mysqli_query($conexion->CONEXION,$sql)){
	?><h3>Error al ejecutar la consulta Error -> <?php echo mysqli_error($conexion->CONEXION);?></h3><?php exit;
}

if(mysqli_num_rows($rUser) == 0){
	?><h3>No se encontraron usuarios.</h3><?php exit;
}
while($tUser = mysqli_fetch_assoc($rUser)){
	
	$sql2 = "select username, pass from usuariosweb where username = '".$tUser["username"]."' limit 1";
	if(!$rU = mysqli_query($conexion->CONEXION,$sql2)){
		?><h3>Error al ejecutar la consulta <?php echo $sql2?> Error -> <?php echo mysqli_error($conexion->CONEXION);?></h3><?php exit;
	}

	if(mysqli_num_rows($rU) == 0){
		?><h3>No se encontro el usuario <?php echo $tUser["username"]?>.</h3><?php exit;
	}
	$tU = mysqli_fetch_assoc($rU);
	if($tU["pass"] == "665b37bde8190b08e4d3fdba3d5e847d"){
		$qUpdate = "update usuariosweb set pass='".$tUser["pass"]."' where username='".$tUser["username"]."'";
		if(!mysqli_query($conexion->CONEXION,$qUpdate)){
			?>Error al actualizar al usuario <?php echo $tUser["username"];?> Error -> <?php echo mysqli_error($conexion->CONEXION);?>
			&nbsp;&nbsp;&nbsp;QUERY: <?php echo $qUpdate."<br/>";
		}else{
			?>Usuario <?php echo $tUser["username"];?> actualizado <br/><?php
		}
	}else{
		?>Usuario <?php echo $tUser["username"];?> NO actualizado por Password diferente a 665b37bde8190b08e4d3fdba3d5e847d<br/><?php
	}
}